Bug 250707 - xpdf hides surprises in /etc/xpdf/add* config files
Summary: xpdf hides surprises in /etc/xpdf/add* config files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xpdf   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-03 03:11 UTC by Michal Jaegermann
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 3.02-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-17 16:15:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2007-08-03 03:11:41 UTC
Description of problem:

A person who would like to include in /etc/xpdfrc some of files
in /etc/xpdfrc/ may find that those files refer to things which
do not exist; like /usr/local/share/xpdf/latin2/Latin2.unicodeMap.

'grep -l local /etc/xpdf/add-to-xpdfrc.*' results in

/etc/xpdf/add-to-xpdfrc.arabic
/etc/xpdf/add-to-xpdfrc.greek
/etc/xpdf/add-to-xpdfrc.hebrew
/etc/xpdf/add-to-xpdfrc.latin2
/etc/xpdf/add-to-xpdfrc.turkish

A trivial way to fix it would be 

sed -i 's,local/,,' $RPM_BUILD_ROOT%{_sysconfdir}/xpdf/add*  || :

at the bottom of "%install" section of a spec file.

A more careful way would look, say, like that:

sed -i 's,.*\(/%{name}/.*Map\),%{_datadir}\1/' \
        $RPM_BUILD_ROOT%{_sysconfdir}/xpdf/add*  || :

The second method not tested.

BTW - it is not clear why in a default /etc/xpdfrc there are
'include' statements only for CJK files from /etc/xpdf/.
One would expect to see all other ones too - even if commented out.

Version-Release number of selected component (if applicable):
xpdf-3.02-1.fc7

Comment 1 Fedora Update System 2007-08-08 15:27:54 UTC
xpdf-3.02-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2007-08-17 16:14:57 UTC
xpdf-3.02-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.